0

I am writing a report. I was using subfigure package along with tocloft. Members at Tex Stack Exchange have suggested to use subfig package since its newer. When I tried to use it, I am getting following error. ! LaTeX Error: Command \c@lotdepth already defined..

The work around for this was suggested in another post.. which is to use \usepackage[subfigure]{tocloft}.

As I want to avoid subfigure package, what is the other option to avoid this error.

  • Just leave it as it is. subfigure option is alright. – Johannes_B Mar 18 '18 at 9:41
  • Did you delete the .aux and .lof files after making the switch? – Mico Mar 18 '18 at 9:42
  • 2
    Looking at your code, loading subfigure is one of your least worries. Your preamble is a mess, outdated packages, packages loaded more than once, crazy stuff everywhere. – Johannes_B Mar 18 '18 at 9:42
  • 2
    You are a member for two and a half years. You are dragging on bad habits. There is no place to dumb the preamble as people don't know what you need. For example, i wouldn't tell you to use subfig, but to use subcaption instead. A question like that would be not only opinion based, but also too broad. – Johannes_B Mar 18 '18 at 10:03
  • 1
    subfigure is the option name to use when loading subfig or subfigure. This isn't a workaround. It is the documented way to make tocloft work with any of those two packages. It is just a misunderstanding from your side. The option name could as well have been makesubfigurescompatibeltotocloft. – Johannes_B Mar 19 '18 at 6:26

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Browse other questions tagged or ask your own question.